Advanced roadmap - Feature #370

Parallel versions in a milestone
2010-12-03 14:06 - Raghu GS

Status: Resolved Start date: 2010-12-29
Priority: Normal Due date: 2011-01-17
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Versions Estimated time: 0.00 hour
Target version: Advanced roadmap 0.3.0

Description

Does Advanced Roadmap Plugin supports Parallel Versions?

Problem:

Milestone "Cairo" has two versions, Version "Virgo" and Version "Lucid".
Both "Virgo" and "Lucid" has it's own set of resources or workers.
"Virgo" estimated version completion time is 6 months.

"Lucid" estimated version completion time is 3 months.

If Advanced Roadmap Plugin supports parallel versions, then "Cairo" Milestone completion date should be 6 months.
But currently, "Cario" Milestone completion date is 9 months.

Can you fix this behavior or give me pointers to fix this issue in my installation?

Associated revisions

Revision 8f391cc1 - 2011-01-17 16:46 - Emilio Gonzalez Montaiha
#370

e Added plugin setting to choose a Version Custom Field to be used as parallel efort factor to reduce rest hours on versions.
¢ Adapted version model and views to use this field if defined.

Revision f175b5d5 - 2011-01-17 16:59 - Emilio Gonzalez Montaia
#370

e Added check to the parallel rest hours calculation.

History

#1 - 2010-12-10 08:07 - Emilio Gonzalez Montaina
- Tracker changed from Support to Feature
- Target version set to Advanced roadmap 0.3.0

- Start date changed from 2010-12-03 to 2010-12-10

May be it will be useful to include some project configuration to allow defining an effort in men, so if you have 2 (or any floating number) people
working in a project, the milestone due date will be recalculated by this cipher.

What do you think?
#2 - 2010-12-10 08:15 - Raghu GS
But why do we need to complicate this requirement?

Just improve the plugin to check whether same resource (Employee) or same set of resource (Team) working in any number of versions.
If it matches, then it should not do parallel version estimation, but if it doesn't, then the plugin should give a combined estimation.

#3 - 2010-12-10 08:22 - Emilio Gonzalez Montaina
- Start date deleted (2010-12-10)

#4 - 2010-12-10 08:24 - Emilio Gonzalez Montaina

Please, give me a better description about the solution, | mean in algorithmic point of view.

#5 - 2010-12-15 10:34 - Raghu GS
Hi Emilio

Actually devising an algorithm for calculating correct eta is difficult.

So if both "Virgo" and "Lucid" has issue, then, the plugin should assume that both the versions are being worked on concurrently, so it should
calculate Milestone ETA by combining both version's ETA.

As relying on headcount or resource differentiation won't make sense, so we can simplify the solution.

So just show the longest ETA of a version as the milestone completion time, instead of calculating each versions separately.

#6 - 2010-12-29 23:56 - Emilio Gonzalez Montafa
- Status changed from New to In progress
- Assignee set to Emilio Gonzalez Montaria

- Start date set to 2010-12-29

#7 - 2011-01-17 17:50 - Emilio Gonzalez Montana
- Due date set to 2011-01-17
- Status changed from In progress to Resolved

- % Done changed from 0 to 100
